# $Revision: 1.23 $, $Date: 2001/11/24 00:59:47 $
Summary:	Dockable APM/Battery Monitor for WindowMaker
Summary(pl):	Dokowalny monitor APM dla WindowMakera
Summary(pt_BR):	Aplicativo do dock do WindowMaker para monitorar a carga da bateria
Summary(es):	Una aplicacin para monitorar la batera en el dock del WindowMaker
Name:		wmapm
Version:	3.1
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
WMAPM monitors the APM statistics through the APM support in
the Linux kernel. WMAPM currently provides:
        * Status of power supply (battery or AC);
        * Percentage of battery remaining (numeric and meter);
        * Battery charging status;
        * Time left to battery depletion;
        * High/Low/Critical battery status (Red/Yellow/Green);

%description -l pl
WMAPM monitoruje statystyki APM wykorzystujc funkcje zawarte w jdrze
Linuxa. WMAPM dostarcza obecnie nastpujcych informacji:
	* Rodzaj wykorzystywanego rda energii (bateria lub zasilacz);
	* Dugo ycia baterii (w procentach lub graficznie);
	* Czas pozostay do wyczerpania baterii;
	* Stan obcienia baterii;
	* Stan baterii: Wysoki/Niski/Krytyczny (Czerwony/ty/Zielony);
	
%description -l pt_BR
Aplicativo do dock do WindowMaker para monitorar a carga da bateria,
atravs do suporte APM do kernel. Esta informao  til para
usurios de laptops.

%description -l es
Aplicacin para monitorar la batera en el dock del WindowMaker.
Basado en soporte APM del kernel. Es til en notebooks.

%prep
%setup -q

%build
%{__make} -C %{name} clean
%{__make} -C %{name} \
	COPTS="%{rpmcflags} -Wall -I/usr/X11R6/include"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_applnkdir}/DockApplets

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf BUGS CHANGES README HINTS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
#%{_applnkdir}/DockApplets/wmapm.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmapm.spec,v $
Revision 1.23  2001/11/24 00:59:47  kloczek
- commnted install desktop file.

Revision 1.22  2001/11/23 23:57:45  blues
- 3.1
- added some stollen translations
- cosmetic

Revision 1.21  2001/11/21 01:54:24  blues
- URLs updated
NOTE: there is new version avaible

Revision 1.20  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.19  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.18  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.15  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.14  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.13  1999/09/04 09:01:07  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.01-1]
- now package is FHS 2.0 compliant.

* Wed Apr  5 1999 Piotr Czerwiski <pius@pld.org.pl>
- initial rpm release for PLD.
